//*****************************************************************************
//*
//*
//*		LabelCtrlDlg.h
//*
//*
//*****************************************************************************
#ifndef		AFX_LABELCTRLDLG_H__1C15D421_AAB9_45FB_9374_8AF13E8FE36B__INCLUDED_
#define		AFX_LABELCTRLDLG_H__1C15D421_AAB9_45FB_9374_8AF13E8FE36B__INCLUDED_	

#if _MSC_VER > 1000
#pragma once
#endif


#include	"LabelCtrl.h"


//*****************************************************************************
//*
//*		CLabelCtrlDlg Dialogfeld
//*
//*****************************************************************************
class CLabelCtrlDlg : public CDialog
{
	// Konstruktion
public:
	CLabelCtrlDlg(CWnd *pParent = NULL); 						// Standard-Konstruktor

	//{{AFX_DATA(CLabelCtrlDlg)
	enum { IDD = IDD_LABELCTRL_DIALOG };
	int		m_iSelected;
	//}}AFX_DATA

	//{{AFX_VIRTUAL(CLabelCtrlDlg)
protected:
	virtual void DoDataExchange(CDataExchange *pDX);			// DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

protected:

	HICON		m_hIcon;
	CImageList	m_cImages;
	CLabelCtrl	m_cLabelCtrl;
	CListCtrl	m_cListCtrl;
	CTreeCtrl	m_cTreeCtrl;
	CEdit		m_cEditCtrl;
	DWORD		m_dwFlags;

	//{{AFX_MSG(CLabelCtrlDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnDrawItem(int nIDCtl, LPDRAWITEMSTRUCT pDrawItemStruct);
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg void OnCheck1();
	afx_msg void OnCheck2();
	afx_msg void OnCheck3();
	afx_msg void OnCheck4();
	afx_msg void OnCheck5();
	afx_msg void OnCheck6();
	afx_msg void OnCheck7();
	afx_msg void OnCheck8();
	afx_msg void OnRadio1();
	afx_msg void OnRadio2();
	afx_msg void OnRadio3();
	afx_msg void OnChangeColor1();
	afx_msg void OnChangeColor2();
	afx_msg HCURSOR OnQueryDragIcon();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	afx_msg void OnSelChanged(NMHDR *pNmHdr, LRESULT *pResult);
	void OnCheck(int iNum);
	void OnRadio(int iNum);

};	

//{{AFX_INSERT_LOCATION}}

#endif
